Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tlv
Class JstlSqlTLV

    java.lang.Object
      javax.servlet.jsp.tagext.TagLibraryValidator
          org.apache.taglibs.standard.tlv.JstlBaseTLV
              org.apache.taglibs.standard.tlv.JstlSqlTLV

    public class JstlSqlTLV

extends JstlBaseTLV

A SAX-based TagLibraryValidator for the JSTL SQL tag library.

Author:
  Shawn Bayern

Field Summary

Fields inherited from class org.apache.taglibs.standard.tlv.JstlBaseTLV
`APPLICATION_SCOPE, config, failed, JSP, lastElementId, messageVector, PAGE_SCOPE, prefix, REQUEST_SCOPE, SCOPE, SESSION_SCOPE, TYPE_CORE, TYPE_FMT, TYPE_SQL, TYPE_XML, uri, VAR`

Constructor Summary
`JstlSqlTLV()`

Method Summary
`protected DefaultHandler` | `getHandler()`
`ValidationMessage[]` | `validate(String prefix, String uri, PageData page)` Validate a JSP page.

Methods inherited from class org.apache.taglibs.standard.tlv.JstlBaseTLV
`fail, getLocalPart, hasAttribute, hasDanglingScope, hasEmptyVar, hasNoInvalidScope, isCoreTag, isFmtTag, isJspTag, isSpecified, isSqlTag, isTag, isXmlTag, release, validate, validateExpression`

Methods inherited from class javax.servlet.jsp.tagext.TagLibraryValidator
`getInitParameters, setInitParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JstlSqlTLV

    public JstlSqlTLV()

Method Detail

### validate

    public ValidationMessage[] validate(String prefix,
                                        String uri,
                                        PageData page)

  Description copied from class: `TagLibraryValidator`
  Validate a JSP page. This will get invoked once per unique tag library URI in the XML view. This method will return null if the page is valid; otherwise the method should return an array of ValidationMessage objects. An array of length zero is also interpreted as no errors.

  Overrides:
    `validate` in class `TagLibraryValidator`
  Parameters:
    `prefix` - the first prefix with which the tag library is associated, in the XML view. Note that some tags may use a different prefix if the namespace is redefined.
    `uri` - the tag library's unique identifier
    `page` - the JspData page object
  Returns:
    A null object, or zero length array if no errors, an array of ValidationMessages otherwise.

### getHandler

    protected DefaultHandler getHandler()

  Specified by:
    `getHandler` in class `JstlBaseTLV`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.